




#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf.
# Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp]
#        [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE[=VALUE]]
# Ignores all args except --srcdir, --prefix, --exec-prefix, and
# --with-PACKAGE[=VALUE] unless this script has special code to handle it.

for arg
do
  # Handle --exec-prefix with a space before the argument.
  if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
  # Handle --host with a space before the argument.
  elif test x$next_host = xyes; then next_host=
  # Handle --prefix with a space before the argument.
  elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
  # Handle --srcdir with a space before the argument.
  elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
  else
    case $arg in
     # For backward compatibility, recognize -exec-prefix and --exec_prefix.
     -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
	exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
	next_exec_prefix=yes ;;

     -gas | --gas | --ga | --g) ;;

     -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
     -host | --host | --hos | --ho | --h)
	next_host=yes ;;

     -nfp | --nfp | --nf) ;;

     -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
	prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
	next_prefix=yes ;;

     -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
	srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
	next_srcdir=yes ;;

     -with-* | --with-*)
       package=`echo $arg|sed -e 's/-*with-//' -e 's/=.*//'`
       # Reject names that aren't valid shell variable names.
       if test -n "`echo $package| sed 's/[-a-zA-Z0-9_]//g'`"; then
         echo "configure: $package: invalid package name" >&2; exit 1
       fi
       package=`echo $package| sed 's/-/_/g'`
       case "$arg" in
         *=*) val="`echo $arg|sed 's/[^=]*=//'`" ;;
         *) val=1 ;;
       esac
       eval "with_$package='$val'" ;;

     -v | -verbose | --verbose | --verbos | --verbo | --verb | --ver | --ve | --v)
       verbose=yes ;;

     *) ;;
    esac
  fi
done

trap 'rm -fr conftest* confdefs* core; exit 1' 1 3 15
trap 'rm -f confdefs*' 0

# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = 'set' ; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = 'set' ; then LANG=C;   export LANG;   fi

rm -f conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h
compile='${CC-cc} $CFLAGS conftest.c -o conftest $LIBS >/dev/null 2>&1'

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
unique_file=tk.c

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  srcdirdefaulted=yes
  # Try the directory containing this script, then `..'.
  prog=$0
  confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
  test "X$confdir" = "X$prog" && confdir=.
  srcdir=$confdir
  if test ! -r $srcdir/$unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$unique_file; then
  if test x$srcdirdefaulted = xyes; then
    echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
  else
    echo "configure: Can not find sources in \`${srcdir}'." 1>&2
  fi
  exit 1
fi
# Preserve a srcdir of `.' to avoid automounter screwups with pwd.
# But we can't avoid them for `..', to make subdirectories work.
case $srcdir in
  .|/*|~*) ;;
  *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
esac


# Save the original args to write them into config.status later.
configure_args="$*"


CC=cc
CFLAGS=-O
SHARED_CC=""
PROLOG=ECLIPSE
TOP_FILE=etk.pl
PROLOG_INCLUDE=""
MAKE_ARCH=""
MOVE_TO_ARCH=""
TK_O="tk.o"

# Process our command line arguments. We recognize the following:
#
#	inst=DIR
#		DIR is the directory where Tcl and Tk are installed
#	src=DIR
#		DIR is the directory where the source of Tcl and/or Tk
#		rezides. It is necessary to run the Tcl and Tk test suite.
#	eclipse
#		Make an eclipse configuration, default.
#	sicstus
#		Make a sicstus configuration.
#	quintus
#		Make a quintus configuration.
#

for arg
do
    case $arg in
	inst=* | instdir=*)
	    inst_dir=`echo $arg | sed 's/[a-z_]*=//'` ;;
	src=* | srcdir=*)
	    src_dir=`echo $arg | sed 's/[a-z_]*=//'` ;;
	e | eclipse)
	    ;;
	q | quintus)
	    PROLOG=QUINTUS
	    TOP_FILE=qtk.pl
	    ARCH=. ;;
	s | sicstus)
	    PROLOG=SICSTUS
	    PROLOG_INCLUDE=/home/lp/local/sicstus2.1
	    TOP_FILE=stk.pl
	    echo "	Please set the Prolog include path in the Makefile"
	    ARCH=. ;;
	*) ;;
    esac
done


# Make sure that no old files are left
/bin/rm -f tk.o tkAppInit.o tk.pl libinit.a dirs.pl

# If we find X, set shell vars x_includes and x_libraries to the paths.
no_x=true
echo checking for X include and library files with xmkmf
rm -fr conftestdir
if mkdir conftestdir; then
  cd conftestdir
  cat > Imakefile <<\EOF
acfindx:
	@echo "im_incroot=$(INCROOT); im_usrlibdir=$(USRLIBDIR); im_libdir=$(LIBDIR)"
EOF
  if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
    no_x=
    # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
    eval `make acfindx | grep -v make`
    # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
    if test ! -f $im_usrlibdir/libX11.a && test -f $im_libdir/libX11.a; then
      im_usrlibdir=$im_libdir
    fi
    case "$im_incroot" in
	/usr/include) ;;
	*) x_includes="$im_incroot" ;;
    esac
    case "$im_usrlibdir" in
	/usr/lib | /lib) ;;
	*) x_libraries="$im_usrlibdir" ;;
    esac
  fi
  cd ..
  rm -fr conftestdir
fi

if test -z "$im_usrlibdir"; then
echo checking for X include and library files directly
echo checking how to run the C preprocessor
if test -z "$CPP"; then
  # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and ``${CC-cc}'' will simply confuse
  # make.  It must be expanded now.
  CPP="${CC-cc} -E"
  cat > conftest.c <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
err=`eval "($CPP conftest.c >/dev/null) 2>&1"`
if test -z "$err"; then
  :
else
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
test ".${verbose}" != "." && echo "	setting CPP to $CPP"

cat > conftest.c <<EOF
#include "confdefs.h"
#include <X11/Intrinsic.h>
EOF
err=`eval "($CPP conftest.c >/dev/null) 2>&1"`
if test -z "$err"; then
  rm -rf conftest*
  no_x=

else
  rm -rf conftest*
  for dir in \
    /usr/local/include \
    /usr/unsupported/include \
    /usr/x386/include \
    /usr/local/x11r5/include \
    /usr/include/X11R5 \
    /usr/include/X11R4 \
    /usr/X11R5/include \
    /usr/X11/include \
    /usr/openwin/include \
    /usr/openwin/share/include \
    /usr/lpp/Xamples/include \
    ; \
  do
    if test -r $dir/X11/Intrinsic.h; then
      x_includes=$dir; no_x=
      break
    fi
  done
fi
rm -f conftest*

# Check for the libraries.  First see if replacing the `include' by
# `lib' works.
LIBS_save="${LIBS}"
LIBS="${LIBS} -lXt"
have_lib=""
echo checking for -lXt
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; no_x=
else
   :; for dir in `echo "$x_includes" | sed s/include/lib/` \
  /usr/local/lib \
  /usr/unsupported/lib \
  /usr/x386/lib \
  /usr/local/x11r5/lib \
  /usr/lib/X11 \
  /usr/lib/X11R4 \
  /usr/X11R5/lib \
  /usr/X11/lib \
  /usr/openwin/lib \
  /usr/lpp/Xamples/lib \
  ; \
do
  for extension in a so sl; do
    if test -r $dir/libXt.$extension; then
      x_libraries=$dir; no_x=
      break 2
    fi
  done
done
fi

fi
if test -n "$verbose"; then
  test -n "$x_includes" && echo "	found X11 headers in $x_includes"
  test -n "$x_libraries" && echo "	found X11 libraries in $x_libraries"
fi

if test "$PROLOG" = "ECLIPSE"; then
    if test -z "$ARCH"; then
	eval 'ARCH=`eclipse -e "get_flag(hostarch, X), writeln(X)"`' >/dev/null 2>&1
	if test -z "$ARCH"; then
	    echo "	Please set the ARCH environment variable"
	    exit
	fi
    fi
    eval 'ECLIPSEDIR=`eclipse -e "get_flag(installation_directory, X), writeln(X)"`' >/dev/null 2>&1
    PROLOG_INCLUDE="$ECLIPSEDIR/include"
    if test ! -f "$PROLOG_INCLUDE/external.h"; then
	echo "	Please set the Prolog include path in the Makefile"
    fi
    MAKE_ARCH="-mkdir -p ../$(ARCH); chmod 755 ../$(ARCH)"
    MOVE_TO_ARCH="/bin/mv $(TK_O) dirs.pl libinit.a ../$(ARCH)"
    case "$ARCH" in
    sparc_sunos5|sparc_svr4)
	# gcc does not work on Solaris!
	SHARED_CC="-G -R $x_libraries"
	LIBS="$LIBS -lsocket -lnsl -ldl"
	;;
    i386_sunos5|m88k_svr4)
	CC=gcc
	SHARED_CC="-shared"
	LIBS="$LIBS -lsocket -lnsl -ldl"
	;;
    sgi_irix52)
	CC=gcc
	SHARED_CC="-shared"
	CFLAGS="$CFLAGS -signed"
	LIBS_save="${LIBS}"
LIBS="${LIBS} -lmld"
have_lib=""
echo checking for -lmld
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   
{
test -n "$verbose" && \
echo "	defining HAVE_LIBMLD"
echo "#define" HAVE_LIBMLD 1 >> confdefs.h
DEFS="$DEFS -DHAVE_LIBMLD=1"
}

   LIBS="${LIBS} -lmld"
fi

	;;
    hp700_ux90)
	CC=gcc
	SHARED_CC="-shared"
	LIBS="-L/lib/pa1.1 $LIBS"
	;;
    rs_aix32|rs_bosx23)
	CC=gcc
	CFLAGS="$CFLAGS -fsigned-char"
	;;
    esac
fi

echo checking for svr4 dynamic loading
cat > conftest.c <<EOF
#include "confdefs.h"
#include <dlfcn.h>
int main() { exit(0); }
int t() { 
(void) dlopen("/", 0);
 }
EOF
if eval $compile; then
  rm -rf conftest*
  if test "$PROLOG" = "ECLIPSE" && test "$ARCH" != sun4; then
	TK_O="tk.so"
	test -n "$verbose" && echo "	using tk.so to load the interface"
    fi


fi
rm -f conftest*



    echo checking for tcl library
    libs="/opt/unsupported/lib /usr/unsupported/lib /usr/local/lib /opt/packages/lib"
    if test ! -z "$inst_dir"; then
	libs="$inst_dir/lib $inst_dir/tcl*/lib $libs"
    fi
    for l in $libs; do
	for f in $l/libtcl.a $l/libtcl.so $l/libtcl.so.*; do
	    if test -f "$f"; then
		tcl_library=$l
		test -n "$verbose" && echo "	setting tcl library to $l"
		break 2
	    fi
	done
    done
    if test -z "$tcl_library"; then
    	echo "...cannot find the tcl library"
	exit
    fi

    


    echo checking for tk library
    libs="/opt/unsupported/lib /usr/unsupported/lib /usr/local/lib /opt/packages/lib"
    if test ! -z "$inst_dir"; then
	libs="$inst_dir/lib $inst_dir/tk*/lib $libs"
    fi
    for l in $libs; do
	for f in $l/libtk.a $l/libtk.so $l/libtk.so.*; do
	    if test -f "$f"; then
		tk_library=$l
		test -n "$verbose" && echo "	setting tk library to $l"
		break 2
	    fi
	done
    done
    if test -z "$tk_library"; then
    	echo "...cannot find the tk library"
	exit
    fi

    


    echo checking for tcl include file
    incs="/usr/local/include /usr/unsupported/include /opt/packages/include /opt/unsupported/include"
    if test ! -z "$inst_dir"; then
	incs="$inst_dir/include $inst_dir/tcl*/include $incs"
    fi
    for i in $incs; do
	if test -f "$i/tcl.h"; then
	    tcl_include=$i
	    test -n "$verbose" && echo "	setting tcl include to $i"
	    break
	fi
    done
    if test -z "$tcl_include"; then
    	echo "...cannot find the tcl include file"
	exit
    fi

    


    echo checking for tk include file
    incs="/usr/local/include /usr/unsupported/include /opt/packages/include /opt/unsupported/include"
    if test ! -z "$inst_dir"; then
	incs="$inst_dir/include $inst_dir/tk*/include $incs"
    fi
    for i in $incs; do
	if test -f "$i/tk.h"; then
	    tk_include=$i
	    test -n "$verbose" && echo "	setting tk include to $i"
	    break
	fi
    done
    if test -z "$tk_include"; then
    	echo "...cannot find the tk include file"
	exit
    fi

    


    echo checking for tcl test files
    libs="/usr/local/unsupported/src /opt/unsupported/src"
    if test ! -z "$src_dir"; then
	libs="$src_dir $libs"
    fi
    for l in $libs; do
	for f in $l/tcl*/tests $l/tcl/tcl*/tests; do
	    if test -d "$f"; then
		tcl_tests=$f
		test -n "$verbose" && echo "	setting tcl tests to $f"
		break 2
	    fi
	done
    done
    if test -z "$tcl_tests"; then
    	echo "...cannot find the tcl tests, proceeding without them"
	tcl_tests="''"
    fi

    


    echo checking for tk test files
    libs="/usr/local/unsupported/src /opt/unsupported/src"
    if test ! -z "$src_dir"; then
	libs="$src_dir $libs"
    fi
    for l in $libs; do
	for f in $l/tk*/tests $l/tcl/tk*/tests; do
	    if test -d "$f"; then
		tk_tests=$f
		test -n "$verbose" && echo "	setting tk tests to $f"
		break 2
	    fi
	done
    done
    if test -z "$tk_tests"; then
    	echo "...cannot find the tk tests, proceeding without them"
	tk_tests="''"
    fi

    

if test "$TK_TESTS" != "''"; then
    CFLAGS="$CFLAGS -DTK_TEST"
fi

if test -z "$RANLIB"; then
  # Extract the first word of `ranlib', so it can be a program name with args.
  set dummy ranlib; word=$2
  echo checking for $word
  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    if test -f $dir/$word; then
      RANLIB="ranlib"
      break
    fi
  done
  IFS="$saveifs"
fi
test -z "$RANLIB" && RANLIB=":"
test -n "$RANLIB" && test -n "$verbose" && echo "	setting RANLIB to $RANLIB"















# Set default prefixes.
if test -n "$prefix"; then
  test -z "$exec_prefix" && exec_prefix='${prefix}'
  prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
  prsub="$prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
fi
# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
escape_ampersand_and_backslash='s%[&\\]%\\&%g'
DEFS=`sed "$escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.

trap 'rm -f config.status; exit 1' 1 3 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $configure_args

for arg
do
  case "\$arg" in
    -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args
    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args ;;
    *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
  esac
done

trap 'rm -f Makefile; exit 1' 1 3 15
CPP='$CPP'
tcl_library='$tcl_library'
tk_library='$tk_library'
tcl_include='$tcl_include'
tk_include='$tk_include'
tcl_tests='$tcl_tests'
tk_tests='$tk_tests'
RANLIB='$RANLIB'
CC='$CC'
CFLAGS='$CFLAGS'
PROLOG='$PROLOG'
TOP_FILE='$TOP_FILE'
ARCH='$ARCH'
PROLOG_INCLUDE='$PROLOG_INCLUDE'
MAKE_ARCH='$MAKE_ARCH'
MOVE_TO_ARCH='$MOVE_TO_ARCH'
TK_O='$TK_O'
SHARED_CC='$SHARED_CC'
x_includes='$x_includes'
x_libraries='$x_libraries'
LIBS='$LIBS'
srcdir='$srcdir'
DEFS='$DEFS'
prefix='$prefix'
exec_prefix='$exec_prefix'
prsub='$prsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF

top_srcdir=$srcdir

CONFIG_FILES=${CONFIG_FILES-"Makefile"}
for file in .. ${CONFIG_FILES}; do if test "x$file" != x..; then
  srcdir=$top_srcdir
  # Remove last slash and all that follows it.  Not all systems have dirname.
  dir=`echo $file|sed 's%/[^/][^/]*$%%'`
  if test "$dir" != "$file"; then
    test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
    test ! -d $dir && mkdir $dir
  fi
  echo creating $file
  rm -f $file
  echo "# Generated automatically from `echo $file|sed 's|.*/||'`.in by configure." > $file
  sed -e "
$prsub
$extrasub
s%@CPP@%$CPP%g
s%@tcl_library@%$tcl_library%g
s%@tk_library@%$tk_library%g
s%@tcl_include@%$tcl_include%g
s%@tk_include@%$tk_include%g
s%@tcl_tests@%$tcl_tests%g
s%@tk_tests@%$tk_tests%g
s%@RANLIB@%$RANLIB%g
s%@CC@%$CC%g
s%@CFLAGS@%$CFLAGS%g
s%@PROLOG@%$PROLOG%g
s%@TOP_FILE@%$TOP_FILE%g
s%@ARCH@%$ARCH%g
s%@PROLOG_INCLUDE@%$PROLOG_INCLUDE%g
s%@MAKE_ARCH@%$MAKE_ARCH%g
s%@MOVE_TO_ARCH@%$MOVE_TO_ARCH%g
s%@TK_O@%$TK_O%g
s%@SHARED_CC@%$SHARED_CC%g
s%@x_includes@%$x_includes%g
s%@x_libraries@%$x_libraries%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@DEFS@%$DEFS%
" $top_srcdir/${file}.in >> $file
fi; done


exit 0
EOF
chmod +x config.status
${CONFIG_SHELL-/bin/sh} config.status

